/*
 * $Id: c92589a876cb1ac3cca87206cfe9c6a04dc201c8 $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#include <stdlib.h>

#include "ntlc.h"

static const char rcsid[] = "$Id: c92589a876cb1ac3cca87206cfe9c6a04dc201c8 $";

char *nsmc_name;
char *nsmc_alias;
char *nsmc_domain;
char *nsmc_ip;

char **nsmc_ports;
char **nsmc_ports_ssl;

char *nsmc_mail_root;
char *nsmc_nologin;
char *nsmc_cleanpath;

char *nsmc_pidfile_dir;

unsigned int nsmc_smtpd_uid;
unsigned int nsmc_smtpd_gid;
char *nsmc_smtpd_chroot;
int nsmc_smtpd_maxchilds;
int nsmc_smtpd_error_threshold_soft;
int nsmc_smtpd_error_threshold_hard;
int nsmc_smtpd_noop_threshold;

unsigned int nsmc_smtpr_uid;
unsigned int nsmc_smtpr_gid;
char *nsmc_smtpr_chroot;

unsigned int nsmc_smtps_uid;
unsigned int nsmc_smtps_gid;

char *nsmc_ssl_server_pem;

char *nsmc_ldap_cfg_file;

char *nsmc_legacyauth_file;

unsigned int nsmc_smtp_timeout;

unsigned int nsmc_default_maildir_uid;
unsigned int nsmc_default_maildir_gid;
unsigned int nsmc_maildir_uid_range_low;
unsigned int nsmc_maildir_uid_range_high;

char *nsmc_mail_basedn;
char *nsmc_mail_regex;

char *nsmc_spool_root;
char *nsmc_spool_lock;
char *nsmc_spool_defer;

int nsmc_relay_timeout;
char *nsmc_relay_root;
char *nsmc_relay_banned;
char *nsmc_relay_temporary;
char *nsmc_relay_permanent;

char *nsmc_greylist_rcpt_db;
int nsmc_greylist_rcpt_wait;
int nsmc_greylist_rcpt_autowhite_timeout;
int nsmc_greylist_rcpt_whitelist_timeout;

char *nsmc_greylist_spf_db;
int nsmc_greylist_spf_wait;
int nsmc_greylist_spf_autowhite_timeout;
int nsmc_greylist_spf_whitelist_timeout;

char *nsmc_whitelist_host_db;
int nsmc_whitelist_host_timeout;

char *nsmc_spam_mailbox;

int nsmc_spool_max_defers;
int nsmc_spool_max_age;

char **nsmc_virscan_hosts;
char **nsmc_spamscan_hosts;

NTL_CFG **nsmc_ldap_cfgs;

int nsm_config_error = 0;
int nsm_config_error_line = 0;
char *nsm_config_error_file = NULL;
const char *nsm_config_error_str = NULL;
